## adept 3.0~beta4ubuntu5

=== CMakeLists.txt ===
find_package( KDE4 REQUIRED )
include( FindPkgConfig )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions" )
set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )
option( RPM "use apt-rpm" )
option( NOTHREADS "disable threads" )

option( INTERNAL_WIBBLE OFF )
option( INTERNAL_TAGCOLL OFF )
option( INTERNAL_EPT OFF )

if( INTERNAL_WIBBLE )
  set( WIBBLE_INCLUDE_DIRS ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
  set( WIBBLE_LIBRARY_DIRS ${wibble_BINARY_DIR} )
  set( WIBBLE_LIBRARIES "wibble" )
  add_subdirectory( wibble )
  set( WIBBLE_TEST_CMAKE "${wibble_SOURCE_DIR}/test.cmake" )
else( INTERNAL_WIBBLE )
  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 0.1.21" )
  find_program( WIBBLE_TEST_GENRUNNER wibble-test-genrunner )
  set( WIBBLE_TEST_CMAKE "${WIBBLE_PREFIX}/share/wibble/test.cmake" )
endif( INTERNAL_WIBBLE )

pkg_check_modules( TAGCOLL REQUIRED "libtagcoll2 >= 2.0" )

if( INTERNAL_EPT )
  set( EPT_INCLUDE_DIRS ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
  set( EPT_LIBRARY_DIRS ${wibble_BINARY_DIR} )
  set( EPT_LIBRARIES "ept" )
  set( EPT_VERSION "0.5.25" )
  add_subdirectory( ept )
else( INTERNAL_EPT )
  pkg_check_modules( EPT REQUIRED "libept >= 0.5.25" )
endif( INTERNAL_EPT )

add_subdirectory( adept )
add_subdirectory( tools )
add_subdirectory( icons )

=== tools/CMakeLists.txt ===
include( KDE4Macros )

file( GLOB src main.cpp manager.cpp )
file( GLOB xmlui *.rc )
kde4_handle_automoc( adept ${src} )
kde4_handle_automoc( adept_debconf debconf.cpp )

add_definitions( ${KDE4_DEFINITIONS} ${QT_DEFINITIONS}
  -fexceptions ${OPT_FLAGS} )

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDE_DIR} ${adept_SOURCE_DIR}/..
  ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} ${EPT_INCLUDE_DIRS}
  ${adept_BINARY_DIR} ${adept_BINARY_DIR}/.. ${adept_BINARY_DIR} )

link_directories( ${KDE4_LIB_DIR} ${adept_BINARY_DIR}
  ${EPT_LIBRARY_DIRS} ${TAGCOLL_LIBRARY_DIRS} )
link_libraries( adeptlib ${WIBBLE_LIBRARIES} ${EPT_LIBRARIES}
  ${QT_QT_LIBRARY} ${TAGCOLL_LIBRARIES} kdecore kdeui kio )

kde4_add_executable( adept ${src} )
kde4_add_executable( adept_debconf debconf.cpp )

kde4_install_icons( hicolor )
install( TARGETS adept DESTINATION bin )
install( FILES adept-manager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES adept-installer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES ${xmlui} DESTINATION ${DATA_INSTALL_DIR}/adept )

=== debian/changelog ===
adept (3.0~beta4ubuntu5) intrepid; urgency=low

  * Fix minimum query string from 3 chars to 4 chars to prevent searching for
    things like lib (which bogs the search down). (LP: #285073)

 -- Roderick B. Greening <roderick.greening@gmail.com>  Fri, 24 Oct 2008 13:12:31 -0230

adept (3.0~beta4ubuntu4) intrepid; urgency=low

  * Add setModel() in adept/extendablelist.h from Peter, fixes crash in installer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Oct 2008 01:24:02 +0100

adept (3.0~beta4ubuntu3) intrepid; urgency=low

  * Update version in tools/main.cpp

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Oct 2008 00:17:38 +0100

adept (3.0~beta4ubuntu2) intrepid; urgency=low

  * Add missing quilt build-depend

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Oct 2008 17:55:18 +0100

adept (3.0~beta4ubuntu1) intrepid; urgency=low

  * Merge with Debian, remaining changes:
   - use kde4.mk
  * Set manager disabled when database is read only

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Oct 2008 17:18:45 +0100

adept (3.0~beta4) unstable; urgency=low

  * Rework Installer searches to avoid a few geometry and repaint bugs.
  * Do not forget to enable updates after filling in installer browser --
    this made installer completely unusable in beta3.

 -- Petr Rockai <mornfall@debian.org>  Thu, 16 Oct 2008 16:20:44 +0200

adept (3.0~beta3) unstable; urgency=low

  * Improved search, includes package name prefix matches as well.
  * Merged most of the changes below, from Jonathan -- just not using
    kde4.mk as this is not part of Debian's cdbs.

 -- Petr Rockai <mornfall@debian.org>  Wed, 15 Oct 2008 19:55:28 +0200

adept (3.0~beta2ubuntu5) intrepid; urgency=low

  [ Harald Sitter ]
  * Use better icon

  [ Jonathan Thomas ]
  * Recommend kdesudo, Closes LP: #203331

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2008 12:07:13 +0100

adept (3.0~beta2ubuntu4) intrepid; urgency=low

  * Add quilt build-dep, needed by kde4.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Oct 2008 12:28:36 +0100

adept (3.0~beta2ubuntu3) intrepid; urgency=low

  * Add Messages.sh file to extract strings for translation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Oct 2008 12:08:10 +0100

adept (3.0~beta2ubuntu2) intrepid; urgency=low

  [ Jonathan Riddell ]
  * Patch from Jonathan Thomas to use newer Okular sidebar

  [ Roderick B. Greening ]
  * Added missing command line arguments to main.cpp (for help) 
  * Added missing manpage (thanks to Michael Casadevall <sonicmctails@gmail.com>)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Oct 2008 19:51:22 +0100

adept (3.0~beta2ubuntu1) intrepid; urgency=low

  * Add button to launch software-propertes
  * Add depends on app-install-data
  * Use oxygen icon system-software-update
  * Put menu items in right place

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Sep 2008 20:25:48 +0100

adept (3.0~beta2) unstable; urgency=low

  * Fix regression in updater: it would fail to mark upgrades
    automatically on startup,
  * fix regression in non-root mode where it would crash instead of giving
    a warning and continuing.
  * In non-root mode, don't die when can't create /tmp/adept.debconf.
  * Quit Adept when its window is closed (apparently the default in KDE/Qt
    changed, we now need to do that explicitly).

 -- Petr Rockai <mornfall@debian.org>  Tue, 09 Sep 2008 08:18:33 +0200

adept (3.0~beta1) unstable; urgency=low

  * Further improvements to error reporting,
  * more robust error handling, more handled error conditions.
  
  * Add a standard menubar with a bunch of actions on it,
  * add .desktop files (thanks apachelogger).
  
  * A bunch of bugfixes.

 -- Petr Rockai <mornfall@debian.org>  Fri, 15 Aug 2008 15:24:22 +0200

adept (3.0~alpha6) experimental; urgency=low

  * Better search in installer,
  * reworked internals of the installer display widget -- fixes bugs,
  * sort items in installer alphabetically.

  * Improved (hopefully) search in manager,
  * add state-based filtering,
  * add possibility to enhance searches using tags.

  * do not show unavailable packages, closes: #379499,
  * package view layout fixes,

  * Fix a new/delete[] mismatch due to auto_ptr misuse,
  * fix a startup-close crash (discovered by Yuriy Kozlov).
  * disable sidebar while commit is in progress (thanks to Samuel James
    Sarette for noticing) -- avoids possible crashes.

  * Substantial improvements to dpkg-related error handling,
  * get much more error details to the user,
  * download errors are now reported correctly as well
    (thanks to Jonathan Thomas for noticing).

  * Revert to dwarf debug symbols (-g), closes: #480359,
  * install icons in the right directory so they actually show up.

 -- Petr Rockai <mornfall@debian.org>  Tue, 05 Aug 2008 19:18:36 +0200

adept (3.0~alpha5) experimental; urgency=low

  * The adept binary is now simply "adept",
  * the update mode is called as "adept updater".
  * We now recognize "held" package state.
  * Experimental installer mode.
  * We can now update Xapian index by calling update-apt-xapian-index,
  * Bugfixes, more bugfixes and some tweaks.

 -- Petr Rockai <mornfall@debian.org>  Fri, 30 May 2008 14:28:36 +0200

adept (3.0~alpha4) experimental; urgency=low

  * Implemented native (GUI) conffile handling.
  * Much improved error handling on many of the paths.
  * Locks APT database, show (non-)writeability warning.
  * Attempts dpkg --configure -a recovery on startup when needed.
  * Basic upgrade functionality.
  * Rudimentary apt-get update functionality (little to no error
    handling).
  * GUI progress for APT operations (opening cache).
  * A fair amount of bugfixes.

 -- Petr Rockai <mornfall@debian.org>  Mon, 10 Mar 2008 22:33:52 +0100

adept (3.0~alpha3) experimental; urgency=low

  * Do not load file lists when clicking on package but only when
    displaying its details (an expensive operation).
  * Improved download progress view.


=== debian/control ===
Source: adept
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Petr Rockai <mornfall@debian.org>
Build-Depends: cdbs, debhelper (>> 5.0), dh-buildinfo, libept-dev (>= 0.5.26), kdelibs5-dev, cmake, pkg-config, quilt
Standards-Version: 3.7.3

Package: adept
Section: kde
Depends: ${shlibs:Depends}, apt-xapian-index (>= 0.15), app-install-data
Replaces: adept-common (<< 3.0~alpha5), adept-manager (<< 3.0~alpha5), adept-updater (<< 3.0~alpha5), adept-installer (<< 3.0~alpha5)
Conflicts: adept-common (<< 3.0~alpha5), adept-manager (<< 3.0~alpha5), adept-updater (<< 3.0~alpha5), adept-installer (<< 3.0~alpha5)
Architecture: any
Description: package management suite for KDE
 Adept Manager is a graphical user interface for package management. It also
 provides a specialised UI for system updates.
 .
 Besides these basic functions the following features are provided:
  * Search and filter the list of available packages (also using debtags)
  * Perform smart system upgrades
  * Edit the list of used repositories (sources.list)
  * Configure packages through the debconf system

## adept 3.0~beta4ubuntu5.1

=== debian/changelog ===
adept (3.0~beta4ubuntu5.1) intrepid-proposed; urgency=low

  * Ensure file list is not editable, closes LP: #290695

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Nov 2008 10:43:52 +0000

## adept 3.0~beta4ubuntu6.1

=== debian/changelog ===
adept (3.0~beta4ubuntu6.1) jaunty; urgency=low

  * rebuild against latest libept

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Feb 2009 16:32:52 +0100

adept (3.0~beta4ubuntu6) jaunty; urgency=low

  * Ensure file list is not editable, closes LP: #290695

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Nov 2008 10:43:52 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Petr Rockai <mornfall@debian.org>
-Build-Depends: cdbs, debhelper (>> 5.0), dh-buildinfo, libept-dev (>= 0.5.26), kdelibs5-dev, cmake, pkg-config, quilt
+Build-Depends: cdbs, debhelper (>> 5.0), dh-buildinfo, libept-dev (>= 0.5.26build1), kdelibs5-dev, cmake, pkg-config, quilt
 Standards-Version: 3.7.3
 
 Package: adept

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/kde4.mk

CC = /usr/bin/gcc
CXX = /usr/bin/g++

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

## adept 3.0~beta7.2ubuntu3

=== debian/changelog ===
adept (3.0~beta7.2ubuntu3) karmic; urgency=low

  * build against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Sep 2009 23:54:32 +0200

adept (3.0~beta7.2ubuntu2) karmic; urgency=low

  * Include patchsys-quilt.mk to prevent FTBFS

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 09 Sep 2009 12:35:51 -0400

adept (3.0~beta7.2ubuntu1) karmic; urgency=low

  * Sync with Debian unstable
    Bugfixes: LP: #211674, LP: #290620
  * Add kubuntu_01_gcc_44_ftbfs_fix.diff to fix a FTBFS with GCC 4.4

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 09 Sep 2009 11:46:50 -0400

adept (3.0~beta7.2) unstable; urgency=low

  * I *might* have been sleeping the last time, uploading with
    unchanged control file.

 -- Petr Rockai <mornfall@debian.org>  Sun, 30 Aug 2009 17:28:23 +0200

adept (3.0~beta7.1) unstable; urgency=low

  * Add more missing build-deps (so much for pbuilder not working in sid).

 -- Petr Rockai <mornfall@debian.org>  Fri, 28 Aug 2009 10:29:07 +0200

adept (3.0~beta7) unstable; urgency=low

  * Fix FTBFS due to a missing build-dep (closes: #540648).
  * Fix maintainer field (mistakenly merged from foreign branch,
    closes: #540229).

 -- Petr Rockai <mornfall@debian.org>  Fri, 28 Aug 2009 08:58:03 +0200

adept (3.0~beta6) unstable; urgency=low

  * Also update the about box version...
  * Do not spin forever when people ask for "lib".
  * Disallow edits in the installed file list (patch by J. Riddell).
  * Avoid noopt+nostrip in the i386 binary.
  * Link against kdelibs 4.3 final instead of beta.

 -- Petr Rockai <mornfall@debian.org>  Thu, 06 Aug 2009 19:26:00 +0200

adept (3.0~beta5) unstable; urgency=low

  * Fix crash with invalid sources.list.
  * Ship internal copy of libept, remove build-depends: libept-dev.

 -- Petr Rockai <mornfall@debian.org>  Thu, 06 Aug 2009 18:05:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Petr Rockai <mornfall@debian.org>
-Build-Depends: cdbs, debhelper (>> 5.0), dh-buildinfo, libept-dev (>= 0.5.26build1), kdelibs5-dev, cmake, pkg-config, quilt
+Build-Depends: cdbs, debhelper (>> 5.0), quilt, dh-buildinfo, kdelibs5-dev, cmake, pkg-config, libwibble-dev (>= 0.1.22), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.7.23), libxapian-dev (>= 1.0.5)
 Standards-Version: 3.7.3
 
 Package: adept

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/kde4.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+include /usr/share/cdbs/1/class/cmake.mk
 
+DEB_CMAKE_EXTRA_FLAGS += -DINTERNAL_EPT=ON
 CC = /usr/bin/gcc
 CXX = /usr/bin/g++

## adept 3.0~beta7.2+nmu1

=== adept/CMakeLists.txt ===
project( adept )
include( KDE4Macros )

file( GLOB src *.cpp )
file( GLOB ui *.ui )

kde4_add_ui_files( uisrc ${ui} )
kde4_handle_automoc( adeptlib ${src} )

add_definitions( ${KDE3_DEFINITIONS} ${QT_DEFINITIONS}
  ${OPT_FLAGS} ${TC_DEFS} -fexceptions )

include_directories( ${KDE4_INCLUDES} ${adept_SOURCE_DIR}/..
  ${QT_INCLUDE_DIR}
  ${APT_INCLUDE_DIRS}
  ${TAGCOLL_INCLUDE_DIRS}
  ${WIBBLE_INCLUDE_DIRS}
  ${EPT_INCLUDE_DIRS}
  ${adept_BINARY_DIR} ${adept_BINARY_DIR}/.. )

link_directories( ${KDE4_LIB_DIR} )
link_libraries( ept )

kde4_add_library( adeptlib STATIC ${uisrc} ${src} )

CONFIGURE_FILE( ${adept_SOURCE_DIR}/config.h.cmake-in
  ${adept_BINARY_DIR}/config.h )

=== debian/changelog ===
adept (3.0~beta7.2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due invalid string constant to char* conversion and
    missing includes (Closes: #560495)

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 05 Feb 2010 23:22:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: adept
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Petr Rockai <mornfall@debian.org>
-Build-Depends: cdbs, debhelper (>> 5.0), quilt, dh-buildinfo, kdelibs5-dev, cmake, pkg-config, libwibble-dev (>= 0.1.22), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.7.23), libxapian-dev (>= 1.0.5)
+Maintainer: Petr Rockai <mornfall@debian.org>
+Build-Depends: cdbs, debhelper (>> 5.0), dh-buildinfo, kdelibs5-dev, cmake, pkg-config, libwibble-dev (>= 0.1.22), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
 Standards-Version: 3.7.3
 
 Package: adept

## adept 3.0~beta7.2+nmu1ubuntu1build1

=== debian/changelog ===
adept (3.0~beta7.2+nmu1ubuntu1build1) maverick; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Jul 2010 22:19:02 +0200

adept (3.0~beta7.2+nmu1ubuntu1) maverick; urgency=low

  * Apply patch from Sayak Banerjee to fix the text color of the FAILED
    download progress text (LP: #297376)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 31 May 2010 07:32:24 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/class/cmake.mk
 
 DEB_CMAKE_EXTRA_FLAGS += -DINTERNAL_EPT=ON

## adept 3.0~beta7.2+nmu1ubuntu2

=== ept/CMakeLists.txt ===
project( ept )
include( ${WIBBLE_TEST_CMAKE} )

file( GLOB coresrc core/*.cpp core/apt/*.cpp )
file( GLOB src *.cpp debtags/*.cc debtags/maint/*.cc
  popcon/*.cc popcon/maint/*.cc apt/*.cc textsearch/*.cc
  textsearch/maint/*.cc )

file( GLOB h_top *.h )
file( GLOB h_core core/*.h )
file( GLOB h_core_apt core/apt/*.h )
file( GLOB h_core_predicate core/predicate/*.h )
file( GLOB h_apt apt/*.h )
file( GLOB h_debtags debtags/*.h debtags/*.tcc )
file( GLOB h_debtags_maint debtags/maint/*.h debtags/maint/*.tcc )
file( GLOB h_popcon popcon/*.h )
file( GLOB h_popcon_maint popcon/maint/*.h )
file( GLOB h_textsearch textsearch/*.h )
file( GLOB h_textsearch_maint textsearch/maint/*.h )

file( GLOB coretesth core/*.test.h core/apt/*.test.h
    core/predicate/*.test.h )
file( GLOB debtagstesth debtags/*.test.h debtags/maint/*.test.h )
file( GLOB popcontesth popcon/*.test.h )
file( GLOB apttesth apt/*.test.h )
file( GLOB textsearchtesth textsearch/*.test.h )
set( testh ${coretesth} ${debtagstesth} ${popcontesth}
           ${apttesth} ${textsearchtesth} )

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                     ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
link_libraries( ${WIBBLE_LIBRARIES} ${TAGCOLL_LIBRARIES} apt-pkg xapian )
add_definitions( -fexceptions -fPIC -fvisibility=default )

#add_library( ept-core STATIC ${coresrc} )

#link_libraries( ept-core )
add_library( ept STATIC ${coresrc} ${src} )
set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} SOVERSION 0 )

set( TEST_ENV_DIR ${ept_BINARY_DIR}/test-env/ )

configure_file( ${ept_SOURCE_DIR}/config.h.cmake-in
  ${ept_BINARY_DIR}/config.h )

set( prefix "${CMAKE_INSTALL_PREFIX}" )
set( exec_prefix "${prefix}/bin" )
set( libdir "${prefix}/lib" )
set( includedir "${prefix}/include" )
configure_file( ${ept_SOURCE_DIR}/libept.pc.in
  ${ept_BINARY_DIR}/libept.pc @ONLY )

# regression testing
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/../lib )
link_libraries( ept )
wibble_add_test( ept-test ${testh} )

set( datastamp ${CMAKE_CURRENT_BINARY_DIR}/data-stamp )
set( datadir ${CMAKE_CURRENT_SOURCE_DIR}/test-data )
set( listfile wherever_debian_._Packages )

wibble_check_target( ept-test ${datastamp} )

execute_process( COMMAND dpkg --print-architecture OUTPUT_VARIABLE ARCH )
string( REPLACE "\n" "" ARCH "${ARCH}" )

add_custom_command(
  OUTPUT ${datastamp}
  COMMAND mkdir -p test-env/etc test-env/state/lists/partial
		           test-env/cache test-env/debtags
			   test-env/cache/archives/partial test-env/desktop
  COMMAND sed -e s,i386,${ARCH}, < ${datadir}/packagelist > test-env/state/lists/${listfile}
  COMMAND cp -a ${datadir}/etc/sources.list test-env/etc/
  COMMAND sed -e s,i386,${ARCH}, < ${datadir}/dpkg-status > test-env/dpkg-status
  COMMAND cp -a ${datadir}/desktop/*.desktop test-env/desktop/
  COMMAND cp ${datadir}/debtags/package-tags test-env/debtags/test.tag
  COMMAND cp ${datadir}/debtags/vocabulary test-env/debtags/test.voc
  COMMAND mkdir -p test-env/debtags/empty
  COMMAND mkdir -p test-env/debtags/user
  COMMAND mkdir -p test-env/xapian/
  COMMAND mkdir -p test-env/popcon/
  COMMAND mkdir -p test-env/popcon/empty
  COMMAND cp -a ${datadir}/popcon/all-popcon-results.txt.gz test-env/popcon/
  COMMAND cp -a ${datadir}/popcon/popularity-contest test-env/popcon/
  COMMAND touch data-stamp )

#install( TARGETS ept ept-core
#  LIBRARY DESTINATION lib
#  ARCHIVE DESTINATION lib )

#install( FILES ${ept_BINARY_DIR}/libept.pc DESTINATION lib/pkgconfig )
#install( FILES libept.m4 DESTINATION share/aclocal )

#install( FILES ${h_top} DESTINATION include/ept )
#install( FILES ${h_core} DESTINATION include/ept/core )
#install( FILES ${h_core_apt} DESTINATION include/ept/core/apt )
#install( FILES ${h_apt} DESTINATION include/ept/apt )
#install( FILES ${h_debtags} DESTINATION include/ept/debtags )
#install( FILES ${h_debtags_maint} DESTINATION include/ept/debtags/maint )
#install( FILES ${h_popcon} DESTINATION include/ept/popcon )
#install( FILES ${h_popcon_maint} DESTINATION include/ept/popcon/maint )
#install( FILES ${h_textsearch} DESTINATION include/ept/textsearch )
#install( FILES ${h_textsearch_maint} DESTINATION include/ept/textsearch/maint )

=== debian/changelog ===
adept (3.0~beta7.2+nmu1ubuntu2) natty; urgency=low

  * Rebuild against latest libxapian
  * Explicitly link against ${KDE4_KDEUI_LIBS} in adept/CMakeLists.txt to
    fix build against gold linker

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 20 Oct 2010 22:55:20 -0400

## adept 3.0~beta7.2+nmu1ubuntu3

=== ept/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                      ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
-link_libraries( ${WIBBLE_LIBRARIES} ${TAGCOLL_LIBRARIES} apt-pkg xapian )
+link_libraries( ${WIBBLE_LIBRARIES} ${TAGCOLL_LIBRARIES} apt-pkg xapian pthread )
 add_definitions( -fexceptions -fPIC -fvisibility=default )
 
 #add_library( ept-core STATIC ${coresrc} )
@@ -52,7 +52,7 @@
 
 # regression testing
 link_directories( ${CMAKE_CURRENT_BINARY_DIR}/../lib )
-link_libraries( ept )
+link_libraries( ept pthread )
 wibble_add_test( ept-test ${testh} )
 
 set( datastamp ${CMAKE_CURRENT_BINARY_DIR}/data-stamp )

=== debian/changelog ===
adept (3.0~beta7.2+nmu1ubuntu3) oneiric; urgency=low

  * ept/CMakeLists.txt: Link against libpthread to fix FTBFS.
    (LP: #831174)

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 25 Aug 2011 17:36:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: adept
 Section: kde
 Priority: optional
-Maintainer: Petr Rockai <mornfall@debian.org>
-Build-Depends: cdbs, debhelper (>> 5.0), dh-buildinfo, kdelibs5-dev, cmake, pkg-config, libwibble-dev (>= 0.1.22), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Petr Rockai <mornfall@debian.org>
+Build-Depends: cdbs, debhelper (>> 5.0), dh-buildinfo, kdelibs5-dev, cmake, pkg-config, libwibble-dev (>= 0.1.22), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.7.26~exp10), libxapian-dev (>= 1.0.5)
 Standards-Version: 3.7.3
 
 Package: adept

## adept 3.0~beta7.2+nmu2

=== adept/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,8 @@
   ${adept_BINARY_DIR} ${adept_BINARY_DIR}/.. )
 
 link_directories( ${KDE4_LIB_DIR} )
-link_libraries( ept )
+link_libraries( ept 
+                ${KDE4_KDEUI_LIBS} )
 
 kde4_add_library( adeptlib STATIC ${uisrc} ${src} )

=== debian/changelog ===
adept (3.0~beta7.2+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh8. compat: 8, std-ver: 3.9.2, format: 3.0 (native)
  * Depend on anacron, so it can automatically notify users when
    updates are available (Closes: 422564).
  * Add man page (Closes: #501062), thanks to Michael Casadevall.
  * Take most of Ubuntu works, thanks to Ubuntu developers.
    Closes: #654590, #603898.

 -- Aron Xu <aron@debian.org>  Tue, 10 Jan 2012 20:18:35 +0800

adept (3.0~beta7.2+nmu1ubuntu5) precise; urgency=low

  * More #include rearrangements to fix FTBFS.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 06 Jan 2012 13:47:14 +0400

adept (3.0~beta7.2+nmu1ubuntu4) precise; urgency=low

  * Fix FTBFS: rearrange #includes in multiple files to ensure that Xapian
    headers are always included before Qt ones. See debbugs #651696 for
    discussion.

 -- Ilya Barygin <randomaction@ubuntu.com>  Wed, 04 Jan 2012 17:37:24 +0400

=== debian/control ===
Source: adept
Section: kde
Priority: optional
Maintainer: Petr Rockai <mornfall@debian.org>
Build-Depends: debhelper (>= 8), kdelibs5-dev, cmake, pkg-config, libwibble-dev (>= 0.1.22), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.7.26~exp10), libxapian-dev (>= 1.0.5)
Standards-Version: 3.9.2

Package: adept
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, apt-xapian-index (>= 0.15), app-install-data, anacron
Replaces: adept-common (<< 3.0~alpha5), adept-manager (<< 3.0~alpha5), adept-updater (<< 3.0~alpha5), adept-installer (<< 3.0~alpha5)
Conflicts: adept-common (<< 3.0~alpha5), adept-manager (<< 3.0~alpha5), adept-updater (<< 3.0~alpha5), adept-installer (<< 3.0~alpha5)
Architecture: any
Description: package management suite for KDE
 Adept Manager is a graphical user interface for package management. It also
 provides a specialised UI for system updates.
 .
 Besides these basic functions the following features are provided:
  * Search and filter the list of available packages (also using debtags)
  * Perform smart system upgrades
  * Edit the list of used repositories (sources.list)
  * Configure packages through the debconf system

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_configure:
	dh_auto_configure -- -DINTERNAL_EPT=ON

## adept 3.0~beta7.2+qa1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
 option( INTERNAL_WIBBLE OFF )
 option( INTERNAL_TAGCOLL OFF )
 option( INTERNAL_EPT OFF )
+
+add_custom_target( unit )
 
 if( INTERNAL_WIBBLE )
   set( WIBBLE_INCLUDE_DIRS ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

=== debian/changelog ===
adept (3.0~beta7.2+qa1) unstable; urgency=low

  * QA upload. (Actually)
  * Move to Debian QA Group.
  * Really add download location (Closes: #603898).

 -- Aron Xu <aron@debian.org>  Wed, 11 Jan 2012 00:40:14 +0800

## adept 3.0~beta7.2+qa1build1

=== icons/CMakeLists.txt ===
file( GLOB icons *.svg )
install( FILES ${icons} DESTINATION ${DATA_INSTALL_DIR}/adept )

=== debian/changelog ===
adept (3.0~beta7.2+qa1build1) precise; urgency=low

  * Rebuild against latest libapt.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 30 Jan 2012 11:45:49 +0100

## adept 3.0%7ebeta7.2%2bqa1build1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: adept
 Section: kde
 Priority: optional
-Maintainer: Petr Rockai <mornfall@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 8), kdelibs5-dev, cmake, pkg-config, libwibble-dev (>= 0.1.22), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.7.26~exp10), libxapian-dev (>= 1.0.5)
 Standards-Version: 3.9.2
